<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders Recurring Schedule Types on responses and forms.
 *
 * @package    OSB
 * @subpackage Utilities
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class StaticList_RecurType extends StaticList {
	protected function table() {
		return array(
			0=>_('Bill on Aniversary Date of Subscription'),
			1=>_('Bill on Fixed Schedule'),
		);
	}

	public static function factory() {
		return new StaticList_RecurType;
	}

	public static function display($value) {
		return static::_display($value);
	}
}
?>
